pydo.addons.get_app_metadata()

Generated on 8 May 2026 from pydo version v0.34.0

Usage

client.addons.get_app_metadata(app_slug="example_app")
Returns JSONRaises HttpResponseError

Description

To find out what metadata is required for a specific add-on, send a GET request to /v2/add-ons/apps/{app_slug}/metadata. Metadata varies by application.

Parameters

app_slug string required

The slug identifier for the application whose metadata is being requested.

Response Example

Show Response Example
{
  "metadata": [
    {
      "id": 1,
      "name": "country_of_origin",
      "display_name": "Country of Origin",
      "description": "Country for localization",
      "type": "string",
      "options": [
        "US",
        "UK",
        "CA"
      ]
    }
  ]
}

More Information

See /v2/add-ons/apps/{app_slug}/metadata in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.